$(document).ready(function(){
	var now=new Date();
	var jour=now.getDay();
	var mois=now.getMonth();
	var year=now.getFullYear();
	var day=['Dimanche', 'Lundi', 'Mardi', 'Mercredi', 'Jeudi', 'Vendredi', 'Samedi'];
	var month=['Janvier', 'Fevrier', 'Mars', 'Avril', 'Mai', 'Juin', 'Juillet', 'Août', 'Septembre', 'Octobre', 'Novembre', 'Decembre'];	
	$('#year').val(year);
	$('#jour').val(now.getUTCDate());
	$('#mois').val(mois);

  // Bouton de collapse
  $(".button-collapse").sideNav();
  $('.collapsible').collapsible();
  notify_launch();
  if (localStorage.getItem('unread_length')==null)
  {
    $('#notif').text('0');
  }

  else
  {
    $('#notif').text(localStorage.getItem('unread_length'));
  }


  $('#save').click(function(){
  	prochaine_regle();
  	date_ovulation();
});


  function notify_launch()
{
  if (localStorage.getItem('unread_length')==null)
  {
    j=0;
  }

  else
  {
    j=localStorage.getItem('unread_length');
  }

  for (var i=0; i<localStorage.getItem('notify_length'); i++)
  {
    var vrac=localStorage.getItem('notify'+i);
    splited=vrac.split('*');
    var daty=splited[0];
    var heure=splited[1];

    /*Chargement des dates et heures pour la correspondance*/
    var date_actuel=now.getDate()+'/'+now.getMonth()+'/'+now.getFullYear();
    var heure_actuel=now.getHours()+':'+now.getMinutes();
    if (date_actuel==daty && heure_actuel==heure)
    {
      localStorage.setItem('unread_notif'+i, splited[2]);
      j=j+1;
    }

    localStorage.setItem('unread_length', j);
  }
}

  function prochaine_regle()
  {
  	var date_regle=new Date($('#year').val(), $('#mois').val(), $('#jour').val());
  	var calc=parseInt(date_regle.getDate())+parseInt($('#duree').val());
  	var date_prochain=new Date($('#year').val(), $('#mois').val(), calc);
  	$('#next').text(day[date_prochain.getDay()]+', '+date_prochain.getDate()+' '+month[date_prochain.getMonth()]+' '+date_prochain.getFullYear());
    localStorage.setItem('mens_prochain_regle', date_prochain.getDate()+'/'+date_prochain.getMonth()+'/'+date_prochain.getFullYear());
  }

  function debut_cycle()
  {
    
  }

  function date_ovulation()
  {
  	var date_regle=new Date($('#year').val(), $('#mois').val(), $('#jour').val());
  	var calc=parseInt(date_regle.getDate())+14;
    var p1=parseInt(date_regle.getDate())+13;
    var p3=parseInt(date_regle.getDate())+15;
    var p2=parseInt(date_regle.getDate())+16;
  	var date_prochain=new Date($('#year').val(), $('#mois').val(), calc);	
    var ovul1=new Date($('#year').val(), $('#mois').val(), p1); 
    var ovul3=new Date($('#year').val(), $('#mois').val(), p3);
    var ovul2=new Date($('#year').val(), $('#mois').val(), p2); 
  	$('#ovulation').text(day[date_prochain.getDay()]+', '+date_prochain.getDate()+' '+month[date_prochain.getMonth()]+' '+date_prochain.getFullYear());

    if (ovul1.getMonth()==ovul2.getMonth())
    {
        $('#periode').text(ovul1.getDate()+' et '+ovul2.getDate()+' '+month[ovul1.getMonth()]+' '+ovul1.getFullYear());
    }

    else
    {
        $('#periode').text(ovul1.getDate()+' '+month[ovul1.getMonth()]+' et '+ovul2.getDate()+month[ovul2.getMonth()]+' '+ovul1.getFullYear());
    }

    localStorage.setItem('mens_periode_ovulation1', ovul1.getDate()+'/'+ovul1.getMonth()+'/'+ovul1.getFullYear());
    localStorage.setItem('mens_periode_ovulation2', ovul2.getDate()+'/'+ovul2.getMonth()+'/'+ovul2.getFullYear());
    localStorage.setItem('mens_periode_ovulation3', ovul3.getDate()+'/'+ovul3.getMonth()+'/'+ovul3.getFullYear());
    localStorage.setItem('mens_periode_ovulation', date_prochain.getDate()+'/'+date_prochain.getMonth()+'/'+date_prochain.getFullYear());
  }

  $('#cal').click(function(){
    $('#next').text("");
    $('#ovulation').text("");
    $('#periode').text("");
    localStorage.removeItem('mens_periode_ovulation');
    localStorage.removeItem('mens_periode_ovulation1');
    localStorage.removeItem('mens_periode_ovulation2');
    localStorage.removeItem('mens_periode_ovulation3');
    localStorage.removeItem('mens_prochain_regle');
    Materialize.toast('Les dates ont été effacés.', 4000);
  });




});


